%define name libtagedit
%define version 1.1.1
%define release 3mdk
%define fname %name-%version
%define major 5
%define libname %mklibname tagedit %major

Summary: Audio file tag editor library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libtagedit/%{fname}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://libtagedit.sourceforge.net/
BuildRequires: libflac++-devel
BuildRequires: libvorbis-devel
BuildRequires: libpython-devel
BuildRequires: sip-devel

%description
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%package -n %libname
Summary:   Shared library of sndfile
Group:     System/Libraries
Requires: %name >= %version-%release

%description -n %libname
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains the shared library to run applications based 
on %name.

%package -n %libname-devel
Summary:  Libraries, includes, etc to develop applications with %name
Group:	  Development/C++
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains libraries and include files you can use to
develop applications with %name.

%package -n python-%name
Group: Development/Python
Summary: Python bindings for the libtagedit library

%description -n python-%name
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%prep
%setup -q -n %fname

%build
%define __libtoolize true
export CXXFLAGS="-fPIC %optflags"
%configure2_5x
%make
cd python-bindings
python configure.py

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/tagedit-plugins/*a
cd python-bindings
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%dir %_libdir/tagedit-plugins/
%_libdir/tagedit-plugins/*.so

%files -n %libname
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n  %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%_includedir/libtagedit/

%files -n python-%name
%defattr(-, root, root)
%_libdir/python%pyver/site-packages/*

%changelog
* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-3mdk
- fix build on x86_64

* Mon Apr 18 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- rebuild for new flac

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- add python bindings
- drop patch
- fix buildrequires
- new major
- new version

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.4mdk
- rebuild for new flac

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.3mdk
- patch for new g++
- source URL

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.2mdk
- fix directory ownership

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.1mdk
- initial package

